<?php namespace App\Controllers;

use App\Models\UsuarioModel;
use CodeIgniter\Controller;
use App\Models\Configuracoes\EmpresaModel;

class Inicial extends BaseController
{

	public function __construct(){
		$this->empresaModel = new EmpresaModel();
		$this->usuarioModel = new UsuarioModel();
		$this->session = \Config\Services::session();
    }

	public function index($id=1)
	{
		$dados['empresa'] = $this->empresaModel->getEmpresaID($id);

		$usuario = $this->session->get('dadoslogin');
        if(isset($usuario)){
           //return redirect()->to('/Home');
		   echo view('Site/header');
		   echo view('Site/navbartop',$dados);
			echo view('Site/index',$dados);
			echo view('Site/footer',$dados);
		
        }else{
			//$data['titulo'] = "Bem Vindo Ao Cardapio Online!";
			//echo view('Inicial/inicial',$data);
			//echo view('Login/login');
			//echo view('Commons/footer_login');
			echo view('Site/header');
			echo view('Site/navbartop',$dados);
			echo view('Site/index',$dados);
			echo view('Site/footer',$dados);
		}
		
	}

	//public function page($idade, $nome)
	public function page($idade)
	{
		//page/idade/nome
	//echo view('Login/login');
	echo ("Rafael tem $idade anos!");
			echo view('Commons/footer_login');	
	}
	

	//--------------------------------------------------------------------



}
